Bug 168070 - Review request: perl-Mail-GnuPG - Process email with GPG
Review request: perl-Mail-GnuPG - Process email with GPG
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
http://search.cpan.org/dist/Mail-GnuPG/
:
Depends On: 166713
Blocks: FE-ACCEPT 169247
  Show dependency treegraph
 
Reported: 2005-09-12 01:02 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 12:19:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-09-12 01:02:02 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Mail-GnuPG.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Mail-GnuPG-0.08-2.src.rpm

Description:
Use GnuPG::Interface to process or create PGP signed or encrypted email.
Comment 1 Ralf Corsepius 2005-09-12 01:04:43 EDT
This is a dependency of rt3
Comment 2 Tom "spot" Callaway 2005-10-05 14:10:46 EDT
Warning: prerequisite MIME::Entity 0 not found.
Warning: prerequisite MIME::Parser 0 not found.
Warning: prerequisite Mail::Address 0 not found.

These come from perl-MailTools and perl-Mime-tools. You can resolve this by adding:

BuildRequires: perl(MIME::Entity), perl(MIME::Parser), perl(Mail::Address)

Review (with above change made):
Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL or Artistic) OK, links to license text in README, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED (with BR change)

Note You need to log in before you can comment on or make changes to this bug.